Current filter:
                                You should refresh the page.
                                  • Description:
                                    Below is a list of most frequently asked questions regarding the installation process and migrating to the newer version:

                                    1. During the installation process I get the following error: "Cannot find Microsoft Document Explorer". How can I overcome it?
                                    2. During the installation process I get the "Cannot move" and "Cannot delete" messages. How to get rid of them?
                                    3. When trying to compile my project after an upgrade, I get the following error: "[Fatal Error] Unit1.pas(11): Unit cxGridCustomView was compiled with a different version of cxControls.TcxControl.". How to solve it?
                                    4. When I launch the IDE, I get several "The procedure entry point ... could not be located" errors. How to avoid such problems?
                                    5. VCL Installer has installed all products without any errors. However, I cannot find DX components in the components palette. Why?
                                    6. I cannot compile my project under a fresh Windows 7. The IDE says: "[DCC Fatal Error] dxCore.pas(1307): F2039 Could not create output file 'C:\Program Files\Developer Express.VCL\ExpressCore Library\Sources\dxCore.dcu'"
                                    7. Why do the "Cannot compile cxIBXAdaptersD*.dpk" or "Cannot compile cxADOAdaptersD*.dpk" errors appear during the installation process?
                                    8. Anti-virus notifies me that there is a virus in my VCL Installation.
                                    9. I receive the "Cannot copy file(s) *.dfm;*.nfm;*.res" error. How to solve it?
                                    10. What are user account requirements for installing VCL controls?
                                    11. I am trying to recompile my packages, but I get the following error: "Packages 'cxSchedulerD7' and 'dxSkinsCoreD7' both contain unit 'dxSkinsLookAndFeelPainter'". Why does this error appear?
                                    12. I am trying to embed skins into my C++ Builder application. However, I get the Linker error on compiling the project: "Unable to open DXSKINBLACK.OBJ". How to use skins in a C++ Builder application?
                                    13. My project cannot be compiled after upgrading to latest Build. Some method declarations are changed, and some properties do not persist anymore. Where can I find information about these changes?
                                    14. How to convert my C++ Builder project to use Shared Packages?
                                    15. How to downgrade the components from a newer Build?
                                    16. Should I remove the components on installing a new version of DXVCL?
                                    17. There are no beta-versions in Build 55. Why?
                                    18. Can I install two different major versions of the same product (e.g. ExpressQuantumGrid 5 and ExpressQuantumGrid 7) side-by-side?
                                    19. I have renewed my VCL Subscription (purchased additional products). However, when I launch the VCL Installer in "Modify" mode, it does not display new products. What is wrong?
                                    20. During the installation process I do not see my IDE in the available IDEs list. Why does this happen?
                                    21. During the installation process I get "Could not create output file '*.drf'" messages. How to get rid of them?
                                    22. How can I compile packages for TeeChart pro version?
                                    23. I have installed the VCL Trial version and created a simple project. However, the compiler indicates that DCUs are missing.

                                    Answer:
                                    1.
                                    Q: During the installation process I get the following error: "Cannot find Microsoft Document Explorer". How can I overcome it?
                                    A: The Microsoft Document Explorer is a mandatory tool for MS and Borland's, Codegear's and Embarcadero's IDEs to browse HTML documentation. The Express Install refers to it to register the documentation for our components. We recommend that you re-install the Prerequisites of your IDE in Repair mode. This should resolve the problem.
                                    If the problem still persists, please send the <DXVCL>\Setup\H2Reg_Log.txt file to our Support Team.

                                    2.
                                    Q: During the installation process I get the "Cannot move" and "Cannot delete" messages. How to get rid of them?
                                    A: In most situations, files (and corresponding folders) are locked by another process. The easiest way to resolve them is to reboot your machine before running the Express Install.

                                    3.
                                    Q: When trying to compile my project after an upgrade, I get the following error: "[Fatal Error] Unit1.pas(11): Unit cxGridCustomView was compiled with a different version of cxControls.TcxControl.". How to solve it?
                                    A: Such errors usually occur if you are using different editions of source files or libraries of our components. In other words, there is a version mismatch on your machine. Note that you must be careful and install all compatible versions simultaneously, as our products are version-interdependent. Go to your DevExpress account to download the most recent versions of the products you own. Take a look at the following Web page for step-by-step instructions on how to access them: Download a Registered Product
                                    See also: A940: Why do I get errors after installing updates for the DX VCL components?

                                    4.
                                    Q: When I launch the IDE, I get several "The procedure entry point ... could not be located" errors. How to avoid such problems?
                                    A: As you probably know, the Express Install puts runtime libraries of our components not in the Windows system folder, but in the <DXVCL>\Library\<IDE_VERSION> folder. In addition, it adds this folder to the PATH system environment variable. If you are sure that the PATH variable contains a necessary path and a user-overridden Path environment variable, ... the one within your IDE (Tools\Environment Options\Environment Variables\User overrides) ... doesn't override it, it seems that your Delphi version doesn't recognize the environment variables for some reason. Please reboot your machine after updating our components. As a rule, this helps in such situations. By default, we use a DXVCL variable in the PATH system environment variable (like %DXVCL%\Library\<IDE_VERSION>). You can also replace it with the full folder name, to completely resolve the problem.
                                    Another cause of this problem is that you have custom packages installed in your IDE that refer to our packages.
                                    To solve this problem, please do the following:

                                    1. Uninstall our products using our VCL Installer in "Remove" mode;
                                    2. Remove all custom packages that are based on our components;
                                    3. Download the BPLFinder.exe tool (you will find it at the bottom of this answer section in the Attachments section), launch it and click the "Start Search" button. It will display the remaining files list. Delete listed files;
                                    4. Restart your PC;
                                    5. Re-install our components from scratch.
                                    See also: A940: Why do I get errors after installing updates for the DX VCL components?

                                    5.
                                    Q: VCL Installer has installed all products without any errors. However, I cannot find DX components in the components palette. Why?
                                    A: This problem can be caused by the fact that you are using the trial IDE version. As you probably know, the Express Install uses this command-line compiler to create libraries of our components. However, Embarcadero includes a non-functional dcc32.exe in the Trial version of Delphi. The file itself is present (and the Express Install properly calls it), but it just warns you that command-line compilation is not supported. For more information, please review the following report: Setup doesn't create libraries for Delphi 2007 Enterprise Trial Version
                                    Another possible cause is that you updated your current DX component installation but didn't select all required IDEs for the update. To solve the problem, re-run DevExpress VCL Product Setup and select the "Modify" option to select target IDEs and products to be installed for these IDEs. Then proceed as normal with the Install button. Next time, to avoid the problem, run DevExpress VCL Product Setup and select the "Modify and Update" option to select all target IDEs and products to be installed, updated, or removed for these IDEs.

                                    6.
                                    Q: I cannot compile my project under a fresh Windows 7. The IDE says: "[DCC Fatal Error] dxCore.pas(1307): F2039 Could not create output file 'C:\Program Files\Developer Express.VCL\ExpressCore Library\Sources\dxCore.dcu'"
                                    A: This problem can be caused by several factors. First, there may be not enough space on the local drive. Also, the UAC may block full access to this folder. Please try to define another path for the DCU files, but please make sure that the folder in the new path exists (the IDE does not create folders).
                                    If this solves the problem, then the cause of this behavior lies in the UAC. In this case, we recommend that you disable the UAC and restart your PC.

                                    7.
                                    Q: Why do the "Cannot compile cxIBXAdaptersD*.dpk" or "Cannot compile cxADOAdaptersD*.dpk" errors appear during the installation process?
                                    A: If your Delphi installation does not include the IB Express libraries / ADO libraries, simply skip this warning. It will not affect the product functionality. The cxIBXAdaptersD().dpk package contains the Interbase Express Adapters for the ExpressDataController.
                                    Also, we have a suggestion in our TO-DO list to detect whether the Interbase and ADO libraries are installed before compiling the DataController's Adapters packages. You can see our progress with this via the following report: Verify whether Interbase, ADO, or BDE components are installed before compiling the DataController's Adapters packages, in order to avoid compilation errors
                                    8.
                                    Q: Anti-virus notifies me that there is a virus in my VCL Installation.
                                    A: Please do not be alarmed by this fact. We check all our files for viruses. Some antiviral tools may show false alarms, but we still confirm that our installations are quite clear.

                                    9.
                                    Q: I receive the "Cannot copy file(s) *.dfm;*.nfm;*.res" error. How to solve it?
                                    A: The Express Install utilizes a third-party archive extractor to unpack its files, and the problem seems to come from that tool. It may occur if:

                                    1. The installation package is corrupt. Make sure that the size of the file matches the value specified on the product's download page.
                                    2. There is not enough space on the disk to unpack the archive. Try to create a new file and folder in the directory you have chosen to install our VCL products.
                                    It is not mandatory, but we recommend that you reboot your machine before running the Express Install. It may also help.

                                    10.
                                    Q: What are user account requirements for installing VCL controls?
                                    A: By design, our components do not impose special requirements for the libraries to be loaded as Administrator. You can work with our libraries in the same manner as in case of standard BPLs.
                                    However, administrative privileges are indeed necessary when installing our VCL products, because the Express Install stores some information in the registry. So, the problem may occur if you have installed our libraries in a folder that requires special access rights.

                                    11.
                                    Q: I am trying to recompile my packages, but I get the following error: "Packages 'cxSchedulerD7' and 'dxSkinsCoreD7' both contain unit 'dxSkinsLookAndFeelPainter'". Why does this error appear?
                                    A: The problem occurs because different versions of DX libraries and source files remain in the folders "available" to the Delphi compiler. In particular, in the Windows system folder and source folders of your own projects. Some older files are still involved in the compilation process and, thus, this errors occur. To solve this problem, you can completely remove our components, reboot your PC, and reinstall them from scratch.
                                    12.
                                    Q: I am trying to embed skins into my C++ Builder application. However, I get the Linker error on compiling the project: "Unable to open DXSKINBLACK.OBJ". How to use skins in a C++ Builder application?
                                    A: This problem occurs because the C++Builder compiler does not automatically include necessary file references in its tags. So, to resolve the problem, you should open the CBPROJ file of your project, and include the references to the DX libraries in its <PackageImports> and <AllPackageLibs> tags.
                                    See also: B30465: Linker errors with Skins and C++Builder 2007 - OBJ files not found
                                    13.
                                    Q: My project cannot be compiled after upgrading to the latest build. Some method declarations are changed, and some properties do not persist anymore. Where can I find information about these changes?
                                    A: All necessary information can be found on our Version History web page in "Breaking Changes" sub-topic. If your situation is not described in the corresponding topic, we invite you to contact our Support Team.
                                    14.
                                    Q: How to convert my C++ Builder project to use Shared Packages?
                                    A: You should use the dxProjectConverter.exe tool shipped with our installation (<DXVCL>\Setup\ folder). Just pass the CBPROJ file to it and click the "Convert" button.
                                    Also, you can convert your project file manually. For example, you have C++ Builder XE installed:

                                    1. Open the CBPROJ file using some text editor (e.g. Notepad);
                                    2. Replace all "C15" strings with "RS15";
                                    3. Save the file.
                                    15.
                                    Q: How to downgrade the components from a newer build?
                                    A: The best practice for this task is to remove our components using the current Build, and then install necessary components version from scratch.
                                    16.
                                    Q: Should I remove the components on installing a new version of DXVCL?
                                    A: Basically, our VCL Installer removes an older version automatically before installing a newer one, and there should be no problems with it. However, if you encounter any problems during upgrading our controls to a newer version, we invite you to contact our Support Team.
                                    17.
                                    Q: There are no beta-versions in build 55. Why?
                                    A: Build 55 is a build released using the old delivery model. It is intended to be used by customers who are using previous major versions of our products.
                                    Also, we have released a beta-version of the new VCL Installer, which is based on our new delivery model. It contains the latest versions of our products including betas. It is available for VCL Subscription users.
                                    Note: this Question is deprecated, because we have released v2011 vol 1 of our controls, which contains the most recent versions of our controls.
                                    18.
                                    Q: Can I install two different major versions of the same product (e.g. ExpressQuantumGrid 5 and ExpressQuantumGrid v2011 vol 1) side-by-side?
                                    A: It is impossible to have two different versions of our components installed in the same IDE, because our packages names do not depend on their versions. You cannot have two packages with the same names because Delphi and C++Builder do not support this configuration.
                                    As a solution, you can install different versions in different IDEs. In this case, they will work properly.
                                    Note: this limitation persists in our old VCL Installer. Starting from v2011 vol1.1, our Installer will only contain the latest version of each product.
                                    See also:
                                      How to have several build versions installed on one machine
                                    19.
                                    Q: I have renewed my VCL Subscription (purchased additional products). However, when I launch the VCL Installer in "Modify" mode, it does not display new products. What is wrong?
                                    A: It is caused by the fact that the VCL Installer uses old registration info. To solve this, launch the VCL Installer and click the "Update" button on its first page. It will refresh your registration data. After that, choose the "Modify" mode and select necessary products.
                                    20.
                                    Q: During the installation process I do not see my IDE in the available IDEs list. Why does this happen?
                                    A: Ensure that the version of our controls you are going to install supports this IDE. For example, we start supporting the RAD Studio XE2 IDE in the v2011 vol 1.7 Build. Thus, older major versions do not support this IDE (see the What's New in Build v2011 vol 1.7 page).
                                    Another possible cause of this problem is that your IDE may be installed incorrectly or was corrupted somehow. Try to reinstall it with all updates available and then install our controls.
                                    21.
                                    Q: During the installation process I get "Could not create output file '*.drf'" messages. How to get rid of them?
                                    A: This is a temporary file created by the IDE compiler in the TEMP system folder. If a path to this folder contains non-latin characters, the compiler cannot create a file there. You can change the TEMP environment variable in your system to a simple path with latin characters to avoid such errors.
                                    See Also: Q434585
                                    22.
                                    Q: How can I compile packages for TeeChart pro version?
                                    A: Starting with Build versions VCL 12.2.7 and VCL 13.1.1, our installer has stopped compiling packages for the TeeChart Pro VCL components. Only packages for the TeeChart Standard VCL components, which are shipped along with RAD Studio, will be compiled. We introduced this change due to a lot of problems many of our users had, for whom this link is not needed. If you still need to add this link, it is necessary to change our package to a standard version and compile it.
                                    See also:
                                     Manual compilation of TeeChart Report Link packages
                                    23.
                                    Q: I have installed the VCL Trial version and created a simple project. However, the compiler indicates that DCUs are missing.
                                    A: This is a major limitation of the Trial Version. It does not contain our sources and works with runtime packages only. That is why DCU files do not persist there.
                                    To solve this problem, enable the "Link with runtime packages" ("Build with runtime packages" in certain IDEs) option in the Project options and rebuild the project.
                                    In addition, you can take a look at our demos (e.g., RibbonNotepadDemo) to see how projects are set up for the use with the Trial installation.
                                Show all comments
                                • Mauricio Gomes 10.10.2012

                                  Where is the BPLFinder.exe download link ?

                                • Mikhail (DevExpress Support) 10.10.2012

                                  You can find links for downloading the attachments on the right side of this page in the orange rectangle. Please see the attached screenshot.

                                • Mauricio Gomes 10.10.2012

                                  Thanks !
                                  Please update the sentence "3. Download the BPLFinder.exe tool (you will find it at the bottom of this page)"

                                • Paulo (DevExpress Support) 10.10.2012

                                  Thank you for your feedback. I have updated this sentence. We appreciate your cooperation.

                                • Fabrizio ExDev 01.29.2016

                                  Attachments are on the bottom of the page (29/01/2016)

                                • Paulo (DevExpress Support) 01.29.2016

                                  Quite right! We moved them to the bottom of the page.

                                • Fabrizio ExDev 01.29.2016

                                  Sure, in the solution message it's still written "at the right".
                                  "3. Download the BPLFinder.exe tool (you will find it at the right of this page in the Attachments section), launch it and click the "Start Search" button. It will display the remaining files list. Delete listed files;"

                                • Paulo (DevExpress Support) 01.29.2016

                                  Thanks. I have corrected the solution text.

                                0 Solutions

                                Creation Date Importance Sort by